

export const FormConfig = [
  [

    // {
    //   label: '申请状态：',
    //   prop: 'state',
    //   span: 5
    // },
    {
      label: '实体名称：',
      prop: 'entityname',
      span: 5,
      component: 'ElInput',
      componentProps: {
        placeholder: '实体名称'
      }
    },
    {
      label: '实体ID',
      prop: 'entityid',
      span: 5,
      component: 'ElInput',
      componentProps: {
        placeholder: '实体ID'
      }
    },
    {
      prop: 'action',
      span: 5
    }
  ]
]

export const TableHeader = [
  // 序号
  { label: "实体名称", prop: "entityname", width: 150 },
  { label: "实体ID", prop: "entityid" },
  { label: "图元标识码", prop: "elementid" },
  { label: "图元编码", prop: "elementcode" },
  { label: "位置码", prop: "locationid" },
  { label: "操作", slot: "action", width: 120 },
]


// 详情字段
export const detailInfos = [
  [
    [
      { flag: 'label', value: '申请时间', span: 8 },
      { flag: 'value', value: 'sqTime', span: 16 }
    ],
    [
      { flag: 'label', value: '申请部门', span: 8 },
      { flag: 'value', value: 'sqDepartmentBy', span: 16 }
    ]
  ],
  [
    [
      { flag: 'label', value: '数据服务', span: 8 },
      { flag: 'value', value: 'systemName', span: 16 }
    ],
    [
      { flag: 'label', value: '数据类型', span: 8 },
      { flag: 'value', value: 'zymlTypeName', span: 16 }
    ]
  ],
  [
    [
      { flag: 'label', value: '申请范围', span: 4 },
      { flag: 'value', value: 'sqFw', span: 20 }
    ],
  ],
  [[
    { flag: 'label', value: '申请理由', span: 4 },
    { flag: 'value', value: 'sqReason', span: 20 }
  ]],
  [[
    { flag: 'label', value: '系统名称', span: 4 },
    { flag: 'value', value: 'systemName', span: 20 }
  ]],
  [[
    { flag: 'label', value: '调用IP', span: 4 },
    { flag: 'value', value: 'callIp', span: 20 }
  ]],
  [[
    { flag: 'label', value: '预期使用时间', span: 4 },
    { flag: 'value', value: 'sqDeadline', span: 20 }
  ]],
  [[
    { flag: 'label', value: '附件', span: 4 },
    { flag: 'value', value: 'attachment', span: 20, isslot: true }
  ]]
]
export const shjlInfos = [
  [[
    { flag: 'label', value: '审核结果', span: 4 },
    { flag: 'value', value: 'jg', span: 20, isslot: true }
  ]],
  [[
    { flag: 'label', value: '审核意见', span: 4 },
    { flag: 'value', value: 'spReason', span: 20 }
  ]],
  [[
    { flag: 'label', value: '有效截止日期', span: 4 },
    { flag: 'value', value: 'deadline', span: 20 }
  ]],
  [[
    { flag: 'label', value: '审核人', span: 4 },
    { flag: 'value', value: 'sqUserBy', span: 20 }
  ]],
  [[
    { flag: 'label', value: '审核时间', span: 4 },
    { flag: 'value', value: 'spTime', span: 20 }
  ]],
]
export const chInfos = [
  [[
    { flag: 'label', value: '撤回时间', span: 4 },
    { flag: 'value', value: 'sqRevokeTime', span: 20 }
  ]],
  [[
    { flag: 'label', value: '撤回原因', span: 4 },
    { flag: 'value', value: 'sqRevokeReason', span: 20 }
  ]],
]




export const gxConfig = [
  [
    {
      label: '',
      prop: 'query_data',
      span: 8,
      component: 'ElInput',
      componentProps: {
        placeholder: '请输入查询名称或Id'
      }
    },
    {
      label: '',
      prop: 'link',
      span: 8
    },
    {
      prop: 'action',
      span: 5
    }
  ]
]

